[Unit]
Description=NetBox WSGI Service
Documentation=https://netbox.readthedocs.io/en/stable/
Requires=netbox.socket
After=network-online.target
Wants=network-online.target

[Service]
Type=notify
# the specific user that our service will run as
User=netbox
Group=netbox
RuntimeDirectory=netbox
WorkingDirectory=/opt/netbox
PIDFile=/var/run/netbox/gunicorn.pid
ExecStart=/opt/netbox/venv/bin/gunicorn --pid /var/run/netbox/gunicorn.pid --pythonpath /opt/netbox/netbox --config /opt/netbox/gunicorn.py netbox.wsgi
ExecReload=/bin/kill -s HUP $MAINPID
KillMode=mixed
TimeoutStopSec=5
Restart=on-failure
RestartSec=30
PrivateTmp=true

[Install]
WantedBy=multi-user.target
